package jrummikub.util;

/**
 * Interface for classes that can receive parameterless events having a two
 * parameters
 * 
 * @param <T1>
 *            type of the first event parameter
 * @param <T2>
 *            type of the first event parameter
 */
public interface IListener2<T1, T2> {
	/**
	 * This method is called whenever a class we're listening to emits an event
	 * 
	 * @param value1
	 *            the first event parameter
	 * @param value2
	 *            the second event parameter
	 */
	public void fire(T1 value1, T2 value2);
}
